Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
latestmessages.php File Reference

Go to the source code of this file.

## Variables
| $Language = $ini->variable( "eZForumMain", "Language" )
| $Limit = $ini->variable( "eZForumMain", "ShowMessageLimit" )
| $t
| $user =& eZUser::currentUser()
| $db =& eZDB::globalDatabase()
| $messages =& eZForumMessage::lastMessages( $Limit )
global | $GlobalSiteDesign
| $i = 0
| $time = new eZDateTime()
| $locale = new eZLocale( $Language )

## Variable Documentation

## ◆ $db

$db =& eZDB::globalDatabase()

Definition at line 49 of file latestmessages.php.

## ◆ $GlobalSiteDesign

global $GlobalSiteDesign

Definition at line 52 of file latestmessages.php.

Referenced by createArticleMenu(), createLinkMenu(), createPage(), createPollMenu(), createQuizMenu(), createSmallArticleList(), menuMaker(), ezpbKernelAdmin\run(), and ezpbKernelWeb\run().

## ◆ $i

$i = 0

Definition at line 55 of file latestmessages.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 39 of file latestmessages.php.

## ◆ $Limit

$Limit = $ini->variable( "eZForumMain", "ShowMessageLimit" )

Definition at line 40 of file latestmessages.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 57 of file latestmessages.php.

## ◆ $messages

$messages =& eZForumMessage::lastMessages( $Limit )

Definition at line 50 of file latestmessages.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezforum/user/" . $ini->variable( "eZForumMain", "TemplateDir" ),
"kernel/ezforum/user/intl", $Language, "latestmessages.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
$ini
Definition: classes/admin/linklist.php:64
$Language
$Language
Definition: latestmessages.php:39

Definition at line 41 of file latestmessages.php.

## ◆ $time

$time = new eZDateTime()

Definition at line 56 of file latestmessages.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 48 of file latestmessages.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.